Support » Plugin: All In One WP Security & Firewall » Legacy 5G Firewall Protection interferes with .htaccess “deny,allow” rules

  • I discovered that the code related to the “Enable legacy 5G Firewall Protection” is inserting code into the .htaccess file that could conflict with “deny,allow” rules if present in the file.

    For instance, I had:

    # BEGIN IP Whitelist
    order deny,allow
    deny from all
    allow from XX.XXX.XX.XX
    allow from XX.XXX.XX.XX
    allow from XX.XXX.XX.XX
    # END IP Whitelist

    But noticed it was not working or throwing an error.

    I discovered this bit of code in the .htaccess file was causing the conflict.

    # 5G:[USER AGENTS]
    <IfModule mod_setenvif.c>
    # SetEnvIfNoCase User-Agent ^$ keep_out
    SetEnvIfNoCase User-Agent (binlar|casper|cmsworldmap|comodo|diavol|dotbot|feedfinder|flicky|ia_archiver|jakarta|kmccrew|nutch|planetwork|purebot|pycurl|skygrid|sucker|turnit|vikspider|zmeu) keep_out
    <limit GET POST PUT>
    Order Allow,Deny
    Allow from all
    Deny from env=keep_out
    </limit>
    </IfModule>

    Once I disabled “Enable legacy 5G Firewall protection” and the problem disappeared. Just wanted to let you know in case it helps anybody else.

Viewing 1 replies (of 1 total)
  • Plugin Contributor mbrsolution

    (@mbrsolution)

    Hi, please disable 5G rules and enable 6G rules. 6G rules are the latest and up to date version to use.

    Kind regards

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.